> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer 다운로드 비디오 API 연동 설명

> Producer Music Generation 集成指南 - XHuoAPI

Producer는 우리가 노래와 관련된 비디오를 다운로드할 수 있도록 허용합니다. 본 문서는 관련 API의 연동 방법을 설명합니다.

이 API는 단 하나의 입력 매개변수인 `audio_id`만을 가지고 있으며, 이는 노래의 고유 ID입니다.

여기서 입력하는 `audio_id`는 `a54609c6-13e2-4176-be0f-4d7eebc68e1f`로, Producer가 생성한 노래 ID입니다.

```bash theme={null}
curl -X POST 'https://api.xhuoapi.ai/v1/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

결과는 다음과 같습니다:

```
{
  "success": true,
  "task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
  "trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
  "data": {
    "video_url": "https://storage.googleapis.com/corpusant-app-public/song-videos/a54609c6-13e2-4176-be0f-4d7eebc68e1f:5178f294b214798f7d38b810ac289be75306659be24af88900a633efce334012.mp4"
  }
}
```

볼 수 있듯이, `data`의 `video_url` 필드는 다운로드할 비디오 링크입니다.
